Множественные уязвимости в Drupal Views Module

Дата публикации:
14.06.2009
Дата изменения:
14.06.2009
Всего просмотров:
1306
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal Views Module 6.x
Уязвимые версии: Drupal Views Module версии до 6.x-2.6

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти некоторые ограничения безопасности и произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных при конфигурации фильтров. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в именах при добавлении видов. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости требуются привилегии "administer views".

3. Уязвимость существует из-за того, что неопубликованные данные анонимным пользователем доступны для анонимных пользователей.

4. Уязвимость существует из-за ошибки при генерации запросов. Пользователи приложения могут получить доступ к личным данным.

URL производителя: drupal.org/project/views

Решение: Установите последнюю версию 6.x-2.6 с сайта производителя.

Ссылки: http://drupal.org/node/488068
http://lampsecurity.org/drupal-views-xss-vulnerability

или введите имя

CAPTCHA